Subject: bug#66330: 28.2; Gnus wide reply (S W) changes Subject header when used from Debbugs thread

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 04 Oct 2023 16:12:29 -0400

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>
> Hi Maxim,
>
>> Would someone be able to explain what is responsible for this?  It seems
>> to me it'd be preferable if the subject of the message I'm replying to
>> was kept rather than replaced this way, to preserve context.
>
> FTR, this behavior is due to setting a default subject via
> gnus-posting-styles in debbugs-gnu-summary-mode. Could you please check
> whether the appended patch helps?

I've applied the patch and retried my original reproducer; it passes the
test!  So it seems useful to me already in the current form, thank you!

Another thing that could be nice for the future would be some way for
the user to customize the gnus-posting-styles used by Debbugs.  That way
I believe you could modify its behavior only for some particular
"group", e.g. when sending to 'guix-patches'; but that seems trickier
to implement.

So I think the solution you propose is satisfactory!

-- 
Thanks,
Maxim